# snippets

Various Scripts to make life easier.

## reset_windows_update_agent.cmd

Using this script, you can completely reset the configuration of Windows Update and clear the local update cache. 
The script is applicable for both workstations with Windows 11/10/8.1/7 and Windows Server 2022/2019/2016/2012 R2/2008 R2. 
This script helps to eliminate most typical Windows Update errors when Windows stops downloading new updates or errors appear during the update installation.


## exchange_clean_logs.ps1

Clean Exchange Server Logfiles to free up disk space. 
Can be used for Exchange 2016/2019.

## esx_update.sh

Update your esx installation via cli using the official broadcom sources.

**VCSA**
1. Download the attached checksts.py script attached to this article.
2. Upload to attached script to the VCSA or external PSC. 
For example, /tmp

Note: You may use WinSCP to upload the script to VCSA. For additional information, see Error when uploading files to vCenter Server Appliance using WinSCP (326317).
If you get an error for connecting to the VCSA via WinSCP run the following command:

chsh -s /bin/bash root as per above the link.
3. Once the script has been successfully uploaded to VCSA, change the directory to /tmp.

For example:

cd /tmp
 
4. Run python checksts.py.